Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.events.impl
Class SimpleWefFactory

    java.lang.Object
      org.apache.muse.ws.dm.muws.events.impl.SimpleWefFactory

All Implemented Interfaces:
  WefFactory

public class SimpleWefFactory
extends java.lang.Object
implements WefFactory

SimpleWefFactory is the default implementation of the WefFactory component. The objects it creates are all instantiated from classes defined in this same package (org.apache.muse.ws.dm.muws.events.impl).

Author:
  Dan Jemiolo (danj)

Constructor Summary
`SimpleWefFactory()`

Method Summary
`Component` | `createComponent()`
`Component` | `createComponent(org.w3c.dom.Element componentXML)`
`ComponentAddress` | `createComponentAddress()`
`ComponentAddress` | `createComponentAddress(org.w3c.dom.Element addressXML)`
`ComponentAddress` | `createComponentAddress(XmlSerializable addressData)`
`ManagementEvent` | `createEvent()`
`ManagementEvent` | `createEvent(org.w3c.dom.Element eventXML)`
`Situation` | `createSituation()`
`Situation` | `createSituation(org.w3c.dom.Element situationXML)`
`SubstitutableMessage` | `createSubstitutableMessage()`
`SubstitutableMessage` | `createSubstitutableMessage(org.w3c.dom.Element messageXML)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleWefFactory

    public SimpleWefFactory()

Method Detail

### createComponent

    public Component createComponent()

  Specified by:
    `createComponent` in interface `WefFactory`

### createComponent

    public Component createComponent(org.w3c.dom.Element componentXML)

  Specified by:
    `createComponent` in interface `WefFactory`

### createComponentAddress

    public ComponentAddress createComponentAddress()

  Specified by:
    `createComponentAddress` in interface `WefFactory`

### createComponentAddress

    public ComponentAddress createComponentAddress(org.w3c.dom.Element addressXML)

  Specified by:
    `createComponentAddress` in interface `WefFactory`

### createComponentAddress

    public ComponentAddress createComponentAddress(XmlSerializable addressData)

  Specified by:
    `createComponentAddress` in interface `WefFactory`

### createEvent

    public ManagementEvent createEvent()

  Specified by:
    `createEvent` in interface `WefFactory`

### createEvent

    public ManagementEvent createEvent(org.w3c.dom.Element eventXML)

  Specified by:
    `createEvent` in interface `WefFactory`

### createSituation

    public Situation createSituation()

  Specified by:
    `createSituation` in interface `WefFactory`

### createSituation

    public Situation createSituation(org.w3c.dom.Element situationXML)

  Specified by:
    `createSituation` in interface `WefFactory`

### createSubstitutableMessage

    public SubstitutableMessage createSubstitutableMessage()

  Specified by:
    `createSubstitutableMessage` in interface `WefFactory`

### createSubstitutableMessage

    public SubstitutableMessage createSubstitutableMessage(org.w3c.dom.Element messageXML)

  Specified by:
    `createSubstitutableMessage` in interface `WefFactory`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD